@import url('https://fonts.googleapis.com/css2?family=DM+Mono:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&display=swap');

:root
{
	--Lime: #c3ff75;
	--Dark: #121212;
	--Between: #bebebe;
	--Light: #f5f0e8;
}

*, ::after, ::before, ::backdrop
{
	box-sizing: border-box;
	border-width: 0px;
	border-style: dashed;
	border-color: initial;
	border-image: initial;
	margin: 0px;
	padding: 0px;
	transition: all 100ms ease-in-out;
}

.center
{
	display: flex;
	justify-self: center;
}

.font
{
	font-family: "DM Mono", monospace;
	text-rendering: optimizeLegibility;
}

body
{
	background-color: var(--Dark);
	color: var(--Light);
}

main
{
	padding-inline: 2em;
	flex-direction: column;
	max-width: 720px;
	margin-inline: 60px;
}

.nav
{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
	padding: 1em;
	margin-bottom: 2em;

	color: var(--Between);
}

.nav a
{
	color: var(--Between);
	text-decoration: none;
	font-weight: lighter;
}

.inline
{
	display: flex;
	flex-wrap: wrap;
	flex-direction: row;
}

.name
{
	margin-bottom: 2em;
	display: flex;
	justify-self: center;
	flex-direction: column;
	font-size: clamp(0.6rem, 2.75vw, 1.2rem);
	color: var(--Lime);
	letter-spacing: 1;
	line-height: 1.1;
}

.aboutme
{
	text-align: justify;
	margin-bottom: 2em;
	font-size: 1.1em;
	font-weight: normal;
}

.links
{
	gap: 0.5em;
	font-size: 1.1em;
	font-weight: normal;
}

.links a
{
	color: var(--Between);
	text-decoration: none;
}

.links a:hover
{
	font-weight: bold;
}

.links a:before 
{
	content: "<";
}

.links a:after
{
	content: ">";
}

.broken
{
	display: none;
}

.padding
{
	padding: 8px;
	padding-bottom: 4px;
}

.coolgif
{
	position: absolute;
	right: 1em;
	bottom: 1em;
}

.coolgif img 
{
	width: 64px;
}
